clang-tools 10.0.0

Public Member Functions | Static Public Member Functions | List of all members
clang::doc::Generator Class Referenceabstract

`#include <Generators.h>`

Inheritance diagram for clang::doc::Generator:
[legend]

## Public Member Functions
virtual | ~Generator ()=default
virtual llvm::Error | generateDocForInfo (Info *I, llvm::raw_ostream &OS, const ClangDocContext &CDCtx)=0
virtual llvm::Error | createResources (ClangDocContext &CDCtx)

## Static Public Member Functions
static void | addInfoToIndex (Index &Idx, const doc::Info *Info)

## Detailed Description

Definition at line 24 of file Generators.h.

## Constructor & Destructor Documentation

## ◆ ~Generator()

virtual clang::doc::Generator::~Generator | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ addInfoToIndex()

void clang::doc::Generator::addInfoToIndex | ( | Index & | Idx,
|  | const doc::Info * | Info
| ) |  |
| static

Definition at line 74 of file Generators.cpp.

References clang::doc::Index::Children, clang::doc::Info::extractName(), clang::doc::HTMLGeneratorAnchorSource, clang::doc::Info::IT, clang::doc::MDGeneratorAnchorSource, clang::doc::Info::Namespace, clang::doc::Info::Path, clang::doc::Info::USR, and clang::doc::YAMLGeneratorAnchorSource.

## ◆ createResources()

llvm::Error clang::doc::Generator::createResources | ( | ClangDocContext & | CDCtx | ) |
| virtual

Reimplemented in clang::doc::HTMLGenerator.

Definition at line 60 of file Generators.cpp.

## ◆ generateDocForInfo()

virtual llvm::Error clang::doc::Generator::generateDocForInfo | ( | Info * | I,
|  | llvm::raw_ostream & | OS,
|  | const ClangDocContext & | CDCtx
| ) |  |
| pure virtual

Implemented in clang::doc::HTMLGenerator, clang::doc::YAMLGenerator, and clang::doc::MDGenerator.

The documentation for this class was generated from the following files:

- Generators.h
- Generators.cpp